#ifndef DEFINITIONS_H_
#define DEFINITIONS_H_

#include <stdint.h>

/**
 * The type of the keys 
 */
typedef uint32_t keytype;

/**
 * The type that defines the maximum of the stashsize and hashtable size
 */
typedef uint32_t sizetype;

/**
 * The type that the calculations are done in 
 */
typedef uint64_t universetype;

#define LONGLOOP 0
#define SHORTLOOP 1

#define SIMPLE_HASH 1
#endif
